/*
 * WeinbusBufferInputCoil.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <WEINBUS/WeinbusBufferInputCoil.h>

namespace WEINBUS
{
//CONSTRUCTOR
WeinbusBufferInputCoil::WeinbusBufferInputCoil():
        WeinbusBufferCoil(),
        m_coils()
{}//CONSTRUCTOR
//
void WeinbusBufferInputCoil::add(uint16_t offset, WEINBUS::weinbus_coil_t coil, uint16_t* param)
{
    if(m_counter < m_size)
        {
            m_coils[m_counter].add(m_start_addr + offset, coil, param);
            m_counter++;
            m_quantity = m_counter;
        }
    //
}//
//
} /* namespace WEINBUS */
